---
schema_version: "1"
id: 9d88a3505d59244593832c7a1a2e38f156cb315d1544f0bd87d47b0827292d63
title: Reports
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/api_analytics/guides/reference/reports/sforce-analytics-rest-api-resource-reference.md
canonical_url: https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-resource-reference.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9abfa05fe5ceca0076f67e9afbc2027932059973ecc75481ea41bf19ad00172a
products:
  - Salesforce Reports and Dashboards REST API Developer Guide
  - analytics
---

# Reports

Resources for the Reports API are available at `/services/data/<latest API version>/analytics/reports`. You can query each resource with a HTTP method (such as GET). Use these resources to integrate report data directly into your applications.

|Resource|Supported HTTP Method|Description|
|--------|---------------------|-----------|
|[Report](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/analytics-api-report-list-resource.md)|PATCH, DELETE|Saves changes to a report. Deletes a report.|
|[Describe](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-getbasic-reportmetadata.md)|GET|Gives report metadata. This includes information about fields that are defined in the report as detail columns,  summaries, custom summary formulas, filters, and groupings.|
|[Execute Syte](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-getreportrundata.md)|GET, POST|Gives report summary level data with or without details. Returns specific results if you define dynamic filters, groupings, or aggregates in the metadata of a POST request.|
|[Exexcute Async](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instances-summaryasync.md)|POST|Returns an instance that stores summary level data with or without details for a report run asynchronously. To get specific results, define filters in the metadata of the request.|
|[Instances List](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instances-resource.md)|GET|List of instances of a report that were requested for an asynchronous run.|
|[Instance Results](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instance-resource-results.md)|GET|Depending on the type of your request, gives summary level data with or without details for an instance of a report run asynchronously.|
|[Report List](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-recentreportslist.md)|GET, POST|List of reports that were recently viewed by the API user. Makes a copy of a report.|
|[Report Fields](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-get-fields.md)|POST|If the request body is empty, returns a list of all possible report fields. Otherwise, returns a list of fields that specified reports share. Use the `fields` resource to determine the best fields for use in dashboard filters.|

